module ConfigManager
  class ApplicationController < ActionController::Base
  	layout "config_manager/application"

  	before_filter :authenticate_admin

  private
  	def authenticate_admin
  		redirect_to new_admin_session_path unless admin_signed_in?
  	end
  end
end
