module ConfigManager
	class Admin < ActiveRecord::Base
		devise 	:database_authenticatable, 
						:rememberable,
						:registerable,
						:trackable,
						:validatable

		def self.needs_attr_accessible?
			Rails::VERSION::MAJOR == 3
		end

		attr_accessible :email, 
										:password,
										:password_confirmation,
										:remember_created_at if needs_attr_accessible?
	end
end
