module ConfigManager
	module ControllerHelper
		def self.included(base)
			base.prepend_before_filter :reset_toggle_identity_map
		end

	private
		def reset_toggle_identity_map
			ConfigManager::ToggleIdentityMap.reset_id_map
			Rails.logger.debug "Resetting Toggle Identity Map"
		end
	end
end
